# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

%define api_version	1.0
%define lib_major	0
%define pkgname     atk

# Version of glib needed
%define req_glib2_version 2.5.7

%define lib_name %mklibname %{name}_ %{lib_major}

Name: %{pkgname}%{api_version}
Version: 1.18.0
Release: %mkrel 1
Summary: Accessibility features for Gtk+
License: LGPL
Group: Accessibility
Url: http://developer.gnome.org/projects/gap/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%pkgname/%pkgname-%version.tar.bz2
Buildroot: %_tmppath/%name-%{version}-root
BuildRequires: libglib2-devel >= %{req_glib2_version}
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif


%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package common
Summary: data files used by atk
Group: System/Libraries
Conflicts:  %{_lib}atk1.0_0 < 1.13.1-2mdv
# 64bit atk1.0-common conflicts with old 32bit lib as well -Anssi
Conflicts:  libatk1.0_0 < 1.13.1-2mdv

%description common
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

This package contains data used by atk library.

%package -n %{lib_name}
Summary: Accessibility features for Gtk+
Group: System/Libraries
Requires: common-licenses
Obsoletes:	%{pkgname} lib%{pkgname}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{lib_name}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n %{lib_name}-devel
Summary: Stuff for developing with atk
Group: Development/C
Obsoletes:	%{pkgname}-devel lib%{pkgname}-devel
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	libglib2.0-devel >= %{req_glib2_version}
Conflicts:  libatk10-devel

%description -n %{lib_name}-devel
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q -n %{pkgname}-%{version}

%build

%configure2_5x \
	--enable-static \
%if %enable_gtkdoc
	--enable-gtk-doc
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{pkgname}10

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files common -f %{pkgname}10.lang
%defattr(-,root,root)
%doc README

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141738
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 118936
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdv2007.1
+ Revision: 111821
- new version

* Sat Jan 13 2007 Anssi Hannula <anssi@mandriva.org> 1.13.1-3mdv2007.1
+ Revision: 108174
- make atk1.0-common conflict old 32-bit libpkg on 64-bit as well

* Tue Jan 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.13.1-2mdv2007.1
+ Revision: 106620
- Fix libification

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.13.1-1mdv2007.1
+ Revision: 106043
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.13.0-1mdv2007.1
+ Revision: 105992
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.12.4-1mdv2007.1
+ Revision: 98484
- new version

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-3mdv2006.0
+ Revision: 63815
- rebuild
- rebuild
- Import atk1.0



* Tue Oct 03 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2007.0
- New version 1.12.3

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdv2007.0
- New release 1.12.2

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 1.12.1-1
- New release 1.12.1

* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Mon Apr 10 2006 Frederic Crozat <fcrozat@mandriva.com> 1.11.4-1mdk
- Release 1.11.4

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-3mdk
- use mkrel

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-2mdk
- Rebuild for debug package

* Tue Oct 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-1mdk
- Release 1.10.3

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.10.1-1mdk
- make it rpmbuildupdatable
- new version

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- new version

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-1mdk
- bump glib dep
- drop patch 0
- new version

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk
- New release 1.8.0
- Patch0 (Fedora): fix Tamil translation

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-2mdk
- Enable libtoolize

* Mon Apr 19 2004 Goetz Waschk <goetz@mandrakesoft.com> 1.6.1-1mdk
- New release 1.6.1

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> -1mdk
- Release 1.6.0 (with Gtz Waschk help)

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.6-1mdk
- Release 1.3.6

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.5-1mdk
- Release 1.3.5

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.4-2mdk
- rebuild

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4-1mdk
- Release 1.3.4

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-1mdk
- Release 1.3.3

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.1-2mdk
- Rebuild to get new devel dep/requires

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.1-1mdk
- Release 1.3.1

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.0-1mdk
- Release 1.3.0

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3

* Fri Nov 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.1-1mdk
- Release 1.1.1

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Add Conflicts on libatk10 to ease Mdk 8.2 upgrade

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0 (based on Abel Cheung work)

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.8-2mdk
- added Conflicts < libgtk+2-1.3.12-4mdk

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Compile static libraries
- Clean specfile with help of Abel Cheung <maddog@linux.org.hk> :
 -Remove COPYING
 - Corrected Group and URL, more verbose description from GAP
 - Remove buildroot during start of install section
 - Running autoconf seems not necessary
 - No need to obsolete libatk0 now

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Oct 16 2001 Daouda LO <daouda@mandrakesoft.com> 0.5-2mdk
- better libification.
- spec cleanup

* Tue Oct 16 2001 DindinX <odin@mandrakesoft.com> 0.5-1mdk
- 0.5

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2-5mdk
- BuildRequires pkgconfig
- libglib1.3.6-devel --> libglib2-devel, libglib1.3_6-devel now provides
  libglib2-devel
  
* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-4mdk
- Sanity build for 8.1.

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-3mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-2mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-1mdk
- updated to 0.2

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-6mdk
- remove BuildRequires: glib-devel
- BuildRequires: libglib2-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-5mdk
- BuildRequires: glib-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: pango-devel

* Tue Jun 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-3mdk
- Rebuild so that it is built for the i586 architecture (Peter Polman).

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-2mdk
- rebuild to link agaisnt new libglib2

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-1mdk
- First attempt for Gtk+.
